using System.ComponentModel;
using System.Collections.Generic;
using MVCBlogo.NET.BO;
using MVCBlogo.NET.DAL;

namespace MVCBlogo.NET.BLL
{

    public class FileManager
    {
        public static int Count()
        {
            return FileDB.Count();
        }

        public static int Count(int StartRow, int PageSize)
        {
            return FileDB.Count(StartRow, PageSize);
        }

        public static List<File> GetList()
        {
            return FileDB.GetList();
        }

        public static List<File> GetList(int StartRow, int PageSize)
        {
            return FileDB.GetList(StartRow, PageSize);
        }

        public static File GetItem(long id)
        {
            return FileDB.GetItem(id);
        }

        public static long Save(File myFile)
        {
            return FileDB.Save(myFile);
        }

        public static bool Delete(File myFile)
        {
            if (myFile != null)
                return FileDB.Delete(myFile.id);
            else
                return false;
        }
    }

   
}

